Forum Linux.debian/ubuntu Debian Wheezy 7.11 possible d'upgrader?

Posté par . Licence CC by-sa.
Tags : aucun
1
14
juin
2017

Bonjour la gang, je ne suis pas un expert loin de là par contre, est-ce possible d'upgrader le serveur Debian Wheezy 7.11 à la dernière version (Jessie?)

Également la version PHP est à 5.4 et apache 2.2.22 est-ce possible d'upgrader le tout ou je dois monter une nouvelle installation à zéro?

Si je dois monter une nouvelle installation de zéro, laquelle serait la meilleure pour un serveur web et gratuite s.v.p.?

Merci beaucoup d'avance
Jack

  • # Oui, c'est possible

    Posté par (page perso) . Évalué à 5.

    Et documenté ici:
    https://www.debian.org/releases/jessie/amd64/release-notes/ch-upgrading.fr.html

    La gelée de coings est une chose à ne pas avaler de travers.

    • [^] # Re: Oui, c'est possible

      Posté par (page perso) . Évalué à 3.

      Tu feras gaffe, y a quelques différences de configuration entre apache 2.2 et apache 2.4, notamment les Allow/Deny qui se transforme en Require (mais y a un module de compatibilité qui permet de garder l'ancienne syntaxe).

      It's a fez. I wear a fez now. Fezes are cool !

      • [^] # Re: Oui, c'est possible

        Posté par (page perso) . Évalué à 3.

        y a un module de compatibilité qui permet de garder l'ancienne syntaxe

        mais qui marche très très mal
        Et encore moins bien si tu mixe les syntaxes nouvelles/anciennes

    • [^] # Re: Oui, c'est possible

      Posté par . Évalué à 2. Dernière modification le 15/06/17 à 17:40.

      Super merci beaucoup !! Le serveur est maintenant à jour.

      Également la version PHP7 est installée et l’apache 2.4.

      Voici comment j'ai procédé, le tout est sur une Vmware, donc j'ai cloné la machine sur une nouvelle machine virtuelle.

      Est-ce qu'il y a des fichiers que je dois remettre en place dans le nouveau serveur qui était dans l'ancien?
      Également je vais allez vérifier le fichier des allow et deny pour être certain que ça soit OK.

      Merci encore de votre aide à tous !!!

      Jack

      • [^] # Re: Oui, c'est possible

        Posté par . Évalué à 2.

        Voici comment j'ai procédé, le tout est sur une Vmware, donc j'ai cloné la machine sur une nouvelle machine virtuelle.
        […]
        Est-ce qu'il y a des fichiers que je dois remettre en place dans le nouveau serveur qui était dans l'ancien?

        uniquement ce qui a changé pendant que tu faisais tes tests.

        maintenant que tu as verifié que ton fonctionne correctement, tu peux faire l'upgrade sur la vraie machine (en faisant un snapshot AVANT en guise de backup)

        • [^] # Re: Oui, c'est possible

          Posté par . Évalué à 1.

          Excellent, sincèrement sans votre aide je n'y serais pas arrivé !

          J'ai installé une interface aussi (Webmin) vous en pensez quoi?

          Ou avez-vous un autre interface que Webmin à me conseiller?

          Merci encore x1000 fois pour votre aide à tous !

          Jack

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.